Bug 32239 - fetchmailconf exception
fetchmailconf exception
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fetchmail (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-19 11:57 EST by hjl
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 11:57:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2001-03-19 11:57:38 EST
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/lib-tk/Tkinter.py", line 764, in
__call__
    return apply(self.func, args)
  File "/usr/bin/fetchmailconf", line 507, in handleNew
    apply(self.editor, (item,))
  File "/usr/bin/fetchmailconf", line 1054, in <lambda>
    lambda u, m=mode, s=self: s.user_edit(u, m),
  File "/usr/bin/fetchmailconf", line 988, in user_edit
    self.subwidgets[username] = UserEdit(username, self).edit(mode,
Toplevel())
  File "/usr/bin/fetchmailconf", line 1436, in edit
    self.makeWidgets(mode, self.parent.server.pollname)
  File "/usr/bin/fetchmailconf", line 1487, in makeWidgets
    self.principal, '12').pack(side=TOP, fill=X)
AttributeError: principal
Exception in Tkinter callback
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/lib-tk/Tkinter.py", line 764, in
__call__
    return apply(self.func, args)
  File "/usr/bin/fetchmailconf", line 788, in save
    fm.write(`self.configuration`)
  File "/usr/bin/fetchmailconf", line 56, in __repr__
    str = str + repr(site)
  File "/usr/bin/fetchmailconf", line 187, in __repr__
    return self.dump(TRUE)
  File "/usr/bin/fetchmailconf", line 176, in dump
    res = res + repr(user)
  File "/usr/bin/fetchmailconf", line 325, in __repr__
    if self.principal and self.principal != UserDefaults.principal:
AttributeError: principal
Comment 1 Nalin Dahyabhai 2001-06-26 02:19:59 EDT
This appears to be fixed in 5.8.8-1 in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.